Search documentation of ash

# Ash.Error.Forbidden.DomainRequiresAuthorization exception (ash v3.4.71)

View Source

Used when a domain that has `authorize :always` is provided authorize?: false

# Summary

## Functions

exception(args)

Create an `Elixir.Ash.Error.Forbidden.DomainRequiresAuthorization` without raising it.

# Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) ::
      %Ash.Error.Forbidden.DomainRequiresAuthorization{
        __exception__: true,
        bread_crumbs: term(),
        class: term(),
        domain: term(),
        path: term(),
        splode: term(),
        stacktrace: term(),
        vars: term()
      }

Create an `Elixir.Ash.Error.Forbidden.DomainRequiresAuthorization` without raising it.

## Keys

- :domain